Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031649
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2015-12-04 15:052015-12-24 18:39
ReporterVictorVillarView Statuspublic 
Assigned Tovmromanos 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revision0827ac596ad2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031649: Balance Sheet and PL structure window has performance problems when you try to open the window

DescriptionBalance Sheet and PL structure window has performance problems when you try to open the window
Steps To ReproduceBalance Sheet and PL structure window has performance problems when you try to open the window. It takes around 1 minute to be opened
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
causes defect 00318103.0PR16Q1 closedvmromanos Balance Sheet and PL structure does not show the Year and Reference Year 

-  Notes
(0082964)
vmromanos (developer)
2015-12-23 13:50

Test plan 1:

As Openbravo Admin, open the Balance Sheet and PL structure window.
Verify the time spent to open it is in average with other windows in the same instance.


Test plan 2:
Run these two queries and verify no rows are returned:

SELECT O.AD_ORG_ID AS PADRE, Y.C_YEAR_ID AS ID, Y.YEAR || ' (' || C.NAME || ')' AS NAME
        FROM C_YEAR Y, C_CALENDAR C, AD_ORG O
        WHERE C.C_CALENDAR_ID = Y.C_CALENDAR_ID
        and c.ad_client_id = '23C59575B9CF467C9620760EB255B389'
          AND EXISTS (
                        SELECT 1 FROM AD_ORG ORG
                        WHERE AD_ORG_ISINNATURALTREE(O.AD_ORG_ID, ORG.AD_ORG_ID, '23C59575B9CF467C9620760EB255B389') = 'Y'
                        AND C.C_CALENDAR_ID = ORG.C_CALENDAR_ID
                      )
EXCEPT
SELECT O.AD_ORG_ID AS PADRE, Y.C_YEAR_ID AS ID, Y.YEAR || ' (' || C.NAME || ')' AS NAME
        FROM C_YEAR Y, C_CALENDAR C, AD_ORG O
        WHERE C.C_CALENDAR_ID = Y.C_CALENDAR_ID
          AND C.C_CALENDAR_ID IN (
                                    SELECT ORG.C_CALENDAR_ID FROM AD_ORG ORG
                                    WHERE AD_ISORGINCLUDED(O.AD_ORG_ID, ORG.AD_ORG_ID, '23C59575B9CF467C9620760EB255B389') <> -1
                                      AND ORG.C_CALENDAR_ID IS NOT NULL
                                  UNION
                                    SELECT ORG.C_CALENDAR_ID FROM AD_ORG ORG
                                    WHERE AD_ISORGINCLUDED(ORG.AD_ORG_ID,O.AD_ORG_ID, '23C59575B9CF467C9620760EB255B389') <> -1
                                      AND ORG.C_CALENDAR_ID IS NOT NULL
                                 );




SELECT O.AD_ORG_ID AS PADRE, Y.C_YEAR_ID AS ID, Y.YEAR || ' (' || C.NAME || ')' AS NAME
        FROM C_YEAR Y, C_CALENDAR C, AD_ORG O
        WHERE C.C_CALENDAR_ID = Y.C_CALENDAR_ID
          AND C.C_CALENDAR_ID IN (
                                    SELECT ORG.C_CALENDAR_ID FROM AD_ORG ORG
                                    WHERE AD_ISORGINCLUDED(O.AD_ORG_ID, ORG.AD_ORG_ID, '23C59575B9CF467C9620760EB255B389') <> -1
                                      AND ORG.C_CALENDAR_ID IS NOT NULL
                                  UNION
                                    SELECT ORG.C_CALENDAR_ID FROM AD_ORG ORG
                                    WHERE AD_ISORGINCLUDED(ORG.AD_ORG_ID,O.AD_ORG_ID, '23C59575B9CF467C9620760EB255B389') <> -1
                                      AND ORG.C_CALENDAR_ID IS NOT NULL
                                 )
EXCEPT
SELECT O.AD_ORG_ID AS PADRE, Y.C_YEAR_ID AS ID, Y.YEAR || ' (' || C.NAME || ')' AS NAME
        FROM C_YEAR Y, C_CALENDAR C, AD_ORG O
        WHERE C.C_CALENDAR_ID = Y.C_CALENDAR_ID
        and c.ad_client_id = '23C59575B9CF467C9620760EB255B389'
          AND EXISTS (
                        SELECT 1 FROM AD_ORG ORG
                        WHERE AD_ORG_ISINNATURALTREE(O.AD_ORG_ID, ORG.AD_ORG_ID, '23C59575B9CF467C9620760EB255B389') = 'Y'
                        AND C.C_CALENDAR_ID = ORG.C_CALENDAR_ID
                      );
(0082979)
hgbot (developer)
2015-12-24 11:27

Repository: erp/devel/pi
Changeset: 0827ac596ad2fe52d55b100b6951645a50149eeb
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed Dec 23 13:42:24 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0827ac596ad2fe52d55b100b6951645a50149eeb [^]

Fixed bug 31649: Performance problems opening Balance Sheet and PL structure

selectYearsDouble query was consuming most of the time required for launching the window.

Rewritten query to use EXISTS clause, to filter by AD_CLIENT_ID and to call AD_ORG_ISINNATURALTREE() function, which reduces the query cost from 126320.46 to 2527.97, and the time from 20 secs to 0,8 secs

---
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports_data.xsql
---
(0082983)
aferraz (developer)
2015-12-24 11:29

Code review OK
(0083000)
hudsonbot (developer)
2015-12-24 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/13c94f3d6e25 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-12-04 15:05 VictorVillar New Issue
2015-12-04 15:05 VictorVillar Assigned To => Triage Finance
2015-12-04 15:05 VictorVillar Modules => Core
2015-12-04 15:05 VictorVillar Triggers an Emergency Pack => No
2015-12-04 15:05 VictorVillar Issue Monitored: networkb
2015-12-18 12:44 vmromanos Assigned To Triage Finance => vmromanos
2015-12-18 12:44 vmromanos Status new => acknowledged
2015-12-18 12:44 vmromanos Type design defect => defect
2015-12-23 13:08 vmromanos Status acknowledged => scheduled
2015-12-23 13:50 vmromanos Note Added: 0082964
2015-12-23 13:57 vmromanos Review Assigned To => aferraz
2015-12-24 11:27 hgbot Checkin
2015-12-24 11:27 hgbot Note Added: 0082979
2015-12-24 11:27 hgbot Status scheduled => resolved
2015-12-24 11:27 hgbot Resolution open => fixed
2015-12-24 11:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0827ac596ad2fe52d55b100b6951645a50149eeb [^]
2015-12-24 11:29 aferraz Note Added: 0082983
2015-12-24 11:29 aferraz Status resolved => closed
2015-12-24 11:29 aferraz Fixed in Version => 3.0PR16Q1
2015-12-24 18:39 hudsonbot Checkin
2015-12-24 18:39 hudsonbot Note Added: 0083000
2015-12-31 11:40 VictorVillar Relationship added related to 0031810
2015-12-31 12:21 vmromanos Relationship deleted related to 0031810
2015-12-31 12:21 vmromanos Relationship added causes 0031810


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker